CyberNews Briefs

US And UK Governments Issue Update Now Warning For Windows, macOS And Linux Users

The US National Security Agency (NSA), the Cybersecurity and Infrastructure Security Agency (CISA) that falls under the US Department of Homeland Security (DHS) and the UK National Cyber Security Centre (NCSC) are all warning that Windows, macOS And Linux Users relying on certain Virtual Private Network (VPN) applications are at risk of attacks by advanced persistent threat (APT) actors, i.e. state-backed hackers, that are exploiting know security vulnerabilities in those VPN solutions.

The affected VPNs are Pulse Secure, Palo Alto GlobalProtect and Fortinet FortiGate. The companies behind these three products all released security patches earlier this year, so the NSA, CISA and NCSC are urging VPN users to install the latest software updates as soon as possible.

Read more: US And UK Governments Issue Update Now Warning For Windows, macOS And Linux Users

OODA Analyst

OODA Analyst

OODA is comprised of a unique team of international experts capable of providing advanced intelligence and analysis, strategy and planning support, risk and threat management, training, decision support, crisis response, and security services to global corporations and governments.